package com.ss.android.ugc.aweme.services;

import X.2UX;
import X.2nK;
import X.4wQ;
import X.C2658Avu;
import X.EUP;
import X.M12;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;

public final class FavoritesMobUtilsServiceImpl implements EUP {
    static {
        Covode.recordClassIndex(105043);
    }

    public final boolean isDataSetChangedOnStart() {
        return C2658Avu.LIZIZ;
    }

    public final void setDataSetChangedOnStart(boolean z) {
        C2658Avu.LIZIZ = z;
    }

    public final void onVideoItemActionShow(Aweme aweme) {
        M12.LIZ(aweme);
        String LIZ = C2658Avu.LIZ(1);
        2UX LIZIZ = C2658Avu.LIZIZ("video", "collection_video");
        LIZIZ.LIZ("author_id", 4wQ.LIZ(aweme));
        LIZIZ.LIZ("group_id", 4wQ.LJ(aweme));
        LIZIZ.LIZ("music_id", 4wQ.LIZLLL(aweme));
        2nK.LIZ(LIZ, LIZIZ.LIZ);
    }
}
